geodXyInverse {oce} | R Documentation

## inverse geodesic calculation

### Description

inverse geodesic calculation

### Usage

    geodXyInverse(x, y, longitudeRef = 0, latitudeRef = 0)

### Arguments

`x` | value of x in metres, as given by `geodXy`
`y` | value of y in metres, as given by `geodXy`
`longitudeRef` | reference longitude, as supplied to `geodXy`
`latitudeRef` | reference latitude, as supplied to `geodXy`

### Details

The calculation is done by finding a minimum value of a cost function that is the vector difference between (`x`,`y`) and the corresponding values returned by `geodXy`. This minimum is calculated in C for speed, using the `nmmin` function that is the underpinning for the Nelder-Meade version of the R function `optim`.

### Value

a data frame containing `longitude` and `latitude`

[Package oce version 0.9-18 Index]